polybori::CIndexCacheHandle< NaviType > Class Template Reference

`#include <CDegreeCache.h>`

## Public Types

typedef NaviType | navigator
| Set actual storage type. More...
typedef navigator::bool_type | bool_type
| Define type base. More...
typedef navigator::value_type | idx_type
| Type for representing indices. More...
typedef navigator::size_type | size_type
| Type for representing size. More...
typedef BoolePolyRing | manager_type
| Type of decision diagram manager. More...

## Public Member Functions

| CIndexCacheHandle (idx_type idx, const manager_type &mgr)
| Construct from index. More...
| CIndexCacheHandle (navigator navi)
| Construct from given navigator. More...
| operator navigator () const

## Protected Member Functions

navigator | toNode (idx_type idx, const manager_type &mgr) const
| Convert plain number to navigation type. More...

## Protected Attributes

navigator | m_navi
| Actual navigator, which is stored. More...

## Member Typedef Documentation

template<class NaviType >

typedef navigator::bool_type polybori::CIndexCacheHandle< NaviType >::bool_type

Define type base.

Plain Boolean type

template<class NaviType >

typedef navigator::value_type polybori::CIndexCacheHandle< NaviType >::idx_type

Type for representing indices.

template<class NaviType >

typedef BoolePolyRing polybori::CIndexCacheHandle< NaviType >::manager_type

Type of decision diagram manager.

template<class NaviType >

typedef NaviType polybori::CIndexCacheHandle< NaviType >::navigator

Set actual storage type.

template<class NaviType >

typedef navigator::size_type polybori::CIndexCacheHandle< NaviType >::size_type

Type for representing size.

## Constructor & Destructor Documentation

template<class NaviType >

polybori::CIndexCacheHandle< NaviType >::CIndexCacheHandle | ( | idx_type | idx,
|  | const manager_type & | mgr
| ) |  |

inline

Construct from index.

template<class NaviType >

polybori::CIndexCacheHandle< NaviType >::CIndexCacheHandle | ( | navigator | navi) |  |

inline explicit

Construct from given navigator.

## Member Function Documentation

template<class NaviType >

polybori::CIndexCacheHandle< NaviType >::operator navigator | ( | ) |  | const

inline

template<class NaviType >

navigator polybori::CIndexCacheHandle< NaviType >::toNode | ( | idx_type | idx,
|  | const manager_type & | mgr
| ) |  | const

inline protected

Convert plain number to navigation type.

References polybori::BoolePolyRing::nVariables(), PBORI_LIKELY, polybori::BoolePolyRing::variable(), and polybori::BoolePolyRing::zero().

## Member Data Documentation

template<class NaviType >

navigator polybori::CIndexCacheHandle< NaviType >::m_navi

protected

Actual navigator, which is stored.

The documentation for this class was generated from the following file:

- CDegreeCache.h